[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComboEx' (#lcl)

# TCheckComboItemState.State

Represents the current state for a check box.

## Declaration

Source position: comboex.pas line 265

`public TCheckComboItemState.State : TCheckBoxState;`

## Description

State is a TCheckBoxState property with the enumeration value which represents the current checked, unchecked, or grayed state for the check box.

## See also

TCheckBoxState
TCustomCheckCombo.Checked |  | Provides indexed access to the Boolean value for a check box defined in Items.
TCustomCheckCombo.State |  | Provides indexed access to the checked State for a check box defined in Items.
TCustomCheckCombo.Objects |  | Provides indexed access to the Data for a check box defined in Items.